#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,i,j,l,brojac=0;
    scanf("%d", &n);
    int x[n],y[n],z[n];

    for(i=0;i<n;i++)
    {
        scanf("%d", &x[i]);
    }

    for(i=0;i<n;i++)
    {
        scanf("%d", &y[i]);
    }

    for(i=0;i<n;i++)
    {
        scanf("%d", &z[i]);
    }

    for(i=0;i<n;i++)
    {
        for(j=0;j<n;j++)
        {
            if(x[i]==y[j])
            {
                for(l=0;l<n;l++)
                {
                    if(z[l]==j+1)
                    {
                        brojac++;
                    }
                }
            }
        }
    }

    printf("%d", brojac);
    return 0;
}